Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SemiLiteEventTransformer Class Reference

`#include <coherence/util/transformer/SemiLiteEventTransformer.hpp>`

Inherits Object, PortableObject, and MapEventTransformer.

List of all members.

## Detailed Description

SemiLiteEventTransformer is a special purpose MapEventTransformer implementation that removes an OldValue from the MapEvent object for the purpose of reducing the amount of data that has to be sent over the network to event consumers.

Usage example:

        cache->addMapListener(listener, MapEventTransformerFilter::create(NULL,
            SemiLiteEventTransformer::getInstance(), false);

Author:
  djl 2008.06.17

## Public Types
typedef spec::Handle | Handle
| SemiLiteEventTransformer Handle definition.
typedef spec::View | View
| SemiLiteEventTransformer View definition.
typedef spec::Holder | Holder
| SemiLiteEventTransformer Holder definition.
## Public Member Functions
virtual MapEvent::Handle | transform (MapEvent::Handle hEvent) const
  | Transform the specified MapEvent. The values contained by the returned MapEvent object will be the ones given (sent) to the corresponding listener. Parameters:
  | hEvent | the original MapEvent object
Returns: modified MapEvent object or NULL to discard the event
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual bool | equals (Object::View v) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
## Static Public Member Functions
static SemiLiteEventTransformer::Handle | getInstance ()
| The SemiLiteEventTransformer singleton.
## Protected Member Functions
| SemiLiteEventTransformer ()
| Default constructor (necessary for the PortableObject interface).

The documentation for this class was generated from the following file:

- coherence/util/transformer/SemiLiteEventTransformer.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.